com.h3c.sdn.adm.json

## Class RatioGaugeDescriptorCodec

- java.lang.Object
- - com.h3c.util.json.AbstractJsonCodec<T>
  - - com.h3c.sdn.adm.json.AbstractMetricDescriptorCodec<RatioGaugeDescriptor>
    - - com.h3c.sdn.adm.json.RatioGaugeDescriptorCodec

- All Implemented Interfaces:
    JsonCodec<RatioGaugeDescriptor>

      public class RatioGaugeDescriptorCodec
      extends AbstractMetricDescriptorCodec<RatioGaugeDescriptor>

  A JSON codec capable of encoding and decoding `RatioGaugeDescriptor` objects.

- - ### Field Summary

    - ### Fields inherited from class com.h3c.sdn.adm.json.AbstractMetricDescriptorCodec

      `APP_ID, DESC, DESCRIPTION, ERROR, FAIL_COUNT, FAIL_NODE, JMX, NAME, PERSISTENCE, PRIMARY_TAG, PRIMING_VALUE, ROOT, ROOTS, SECONDARY_TAG, STATUS, SUCCESS_COUNT, SUCCESS_NODE, SUMMARY_INTERVAL, TYPE`

    - ### Fields inherited from class com.h3c.util.json.AbstractJsonCodec

      `log, mapper, NO_DECODING_SUP, root, roots`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RatioGaugeDescriptorCodec()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RatioGaugeDescriptor` | `decode(com.fasterxml.jackson.databind.node.ObjectNode node)` Decodes the JSON into a typed POJO.

    - ### Methods inherited from class com.h3c.sdn.adm.json.AbstractMetricDescriptorCodec

      `encode, getName, getType, setCommonMetricDescriptor`

    - ### Methods inherited from class com.h3c.util.json.AbstractJsonCodec

      `arrayNode, decode, decodeList, encode, encodeList, encodeList, fromEnums, isMissingContent, longVal, objectNode, read, root, roots, toEnums, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RatioGaugeDescriptorCodec

          public RatioGaugeDescriptorCodec()

  - ### Method Detail

    - #### decode

          public RatioGaugeDescriptor decode(com.fasterxml.jackson.databind.node.ObjectNode node)

      Description copied from interface: `JsonCodec`
      Decodes the JSON into a typed POJO.
      Parameters:
        `node` - JSON representation of the typed POJO. This does not have a "top" root
      Returns:
        typed POJO

Copyright © 2014. All Rights Reserved.